#include "examplewriter.h"
#include <iostream>

ExampleWriter::ExampleWriter(dxfRW &dxfW) : dxfW(dxfW) {
}

void ExampleWriter::writeEntities() {
    DRW_Line line;
    line.basePoint.x = 12333.123;
    line.basePoint.y = 12344.123;
    line.secPoint.x = 12355.123;
    line.secPoint.y = 12366.123;
    dxfW.writeLine(&line);

    DRW_Line line2;
    line2.basePoint.x = 0;
    line2.basePoint.y = 0;
    line2.secPoint.x = 0;
    line2.secPoint.y = 30;
    dxfW.writeLine(&line2);

    std::cout<<"writing done"<<std::endl;


}

