#include "mainwindow.h"
#include "ui_mainwindow.h"

//#include <drw_base.h>
//#include <drw_classes.h>
//#include <drw_entities.h>
//#include <drw_header.h>
//#include <drw_objects.h>
//#include <libdwgr.h>
//#include <libdxfrw.h>

#include <drw_interface.h>

#include <iostream>

#include "dx_iface.h"
#include "dx_data.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_pushButton_write_line_pressed()
{
    dxfRW dxf("./dxf/test.dxf");
    ExampleWriter writer(dxf);
    dxf.write(&writer, DRW::Version::AC1027, false);
}

#include <iostream>
#include <fstream>
#include <sys/stat.h>
#include "vector"

//https://github.com/Cheng1087/vtkRenderDxfFile/blob/master/testVTKRender.cpp

void MainWindow::on_pushButton_read_dxf_pressed()
{

    bool badState = false;

    std::string inName = "./dxf/skynet-test.dxf";
    dx_data fData;

    dx_iface *input = new dx_iface();
    badState = input->fileImport( inName, &fData );
    if (!badState) {
        std::cout << "Error reading file " << inName << std::endl;

    } else {
         std::cout << "Ok reading file " << inName << std::endl;
    }

    std::cout<<"ammount of layers in dxf:"<<fData.layers.size()<<std::endl;
    std::cout<<"layername:"<<fData.layers.back().name<<std::endl;


//    for(unsigned int i=0; i<fData.mBlock->ent.size(); i++){

//         std::cout<<"list:"<<(fData.mBlock->ent.front()+i)->eType<<std::endl;
//    }

    dx_data *_data;
    _data=&fData;

      std::vector<int> _typeRecoord;

    auto blocks = _data->mBlock->ent;
    for (auto iter = blocks.begin(); iter != blocks.end(); iter++){
        std::cout<<"iter"<<std::endl;

               if(DRW::LINE == (*iter)->eType)
               {
                   DRW_Line *line = dynamic_cast<DRW_Line*>(*iter);

                   std::cout<<"a line is found"<<std::endl;
                   std::cout<<"line basepoint x:"<<line->basePoint.x<<std::endl;
                   std::cout<<"line basepoint y:"<<line->basePoint.y<<std::endl;
                   std::cout<<"line basepoint z:"<<line->basePoint.z<<std::endl;

                   std::cout<<"line secpoint x:"<<line->secPoint.x<<std::endl;
                   std::cout<<"line secpoint y:"<<line->secPoint.y<<std::endl;
                   std::cout<<"line secpoint z:"<<line->secPoint.z<<std::endl;

//                   vtkNew<vtkLineSource> vtkLine;
//                   vtkLine->SetPoint1(line->basePoint.x,line->basePoint.y,line->basePoint.z);
//                   vtkLine->SetPoint2(line->secPoint.x,line->secPoint.y,line->secPoint.z);
//                   vtkLine->Update();
//                   vtkNew<vtkIntArray> scalars;
//                   scalars->SetNumberOfTuples(2);
//                   scalars->SetNumberOfComponents(1);
//                   scalars->FillComponent(0,index4Color);
//                   vtkLine->GetOutput()->GetCellData()->SetScalars(scalars);
//                   append->AddInputData(vtkLine->GetOutput());
               }


    }

}
















